> ## Documentation Index
> Fetch the complete documentation index at: https://docs.realtimelca.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Material DeclaredUnit Enums



## OpenAPI

````yaml /api-reference/realtime-lca-openapi.yaml get /material/declaredunitenum
openapi: 3.0.0
info:
  title: Real-Time LCA REST Documentation
  version: 1.0.0
  description: >-
    ### Description 📝


    This collection contains a set of REST API requests for the Real-Time LCA
    (Life Cycle Assessment) service.


    ### Authenticate user 👤🔑


    In the `Auth` folder there's a `POST` request for authenticating the user.


    In this request body you can type in the user RTLCA user credentials
    (username & password) and a succesfull (`200 OK`) response will set the
    collection `BearerToken` variable which is then inherited by all other
    requests.
servers:
  - url: https://api.realtimelca.com/rest/api
    description: REST API.
  - url: https://api.realtimelca.com/epd/api
    description: EPD API.
  - url: https://auth.realtimelca.com/frontegg/identity/resources/auth/v1
    description: Authentication API (Frontegg identity v1).
  - url: https://realtimelca-prod.hasura.app
    description: GraphQL API (Hasura).
security:
  - BearerAuth: []
tags:
  - name: Auth
  - name: User
  - name: Overview
  - name: Project
  - name: Dashboard
  - name: Mapping
  - name: Automapping
  - name: Transport
  - name: Waste
  - name: Inspect
  - name: Report
  - name: Images
  - name: Library
  - name: Datasource
  - name: Owner
  - name: Material
  - name: Constructions
  - name: Enums
paths:
  /material/declaredunitenum:
    servers:
      - url: https://api.realtimelca.com/epd/api
    get:
      tags:
        - Enums
      summary: Material DeclaredUnit Enums
      responses:
        '200':
          description: Material DeclaredUnit Enums
          headers:
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
            Request-Context:
              schema:
                type: string
              example: appId=cid-v1:873bdc2a-8d35-4b5f-93af-b676dbc72303
            Date:
              schema:
                type: string
              example: Tue, 23 May 2023 19:00:45 GMT
          content:
            application/json:
              schema:
                type: object
                properties:
                  '0':
                    type: object
                    properties:
                      Enum:
                        type: string
                      DisplayName:
                        type: string
                  '1':
                    type: object
                    properties:
                      Enum:
                        type: string
                      DisplayName:
                        type: string
                  '2':
                    type: object
                    properties:
                      Enum:
                        type: string
                      DisplayName:
                        type: string
                  '3':
                    type: object
                    properties:
                      Enum:
                        type: string
                      DisplayName:
                        type: string
                  '4':
                    type: object
                    properties:
                      Enum:
                        type: string
                      DisplayName:
                        type: string
                  '5':
                    type: object
                    properties:
                      Enum:
                        type: string
                      DisplayName:
                        type: string
                  '6':
                    type: object
                    properties:
                      Enum:
                        type: string
                      DisplayName:
                        type: string
                  '7':
                    type: object
                    properties:
                      Enum:
                        type: string
                      DisplayName:
                        type: string
                  '8':
                    type: object
                    properties:
                      Enum:
                        type: string
                      DisplayName:
                        type: string
                  '9':
                    type: object
                    properties:
                      Enum:
                        type: string
                      DisplayName:
                        type: string
                  '10':
                    type: object
                    properties:
                      Enum:
                        type: string
                      DisplayName:
                        type: string
              example:
                '0':
                  Enum: G
                  DisplayName: Grams
                '1':
                  Enum: KG
                  DisplayName: Kilograms
                '2':
                  Enum: T
                  DisplayName: Tons
                '3':
                  Enum: M
                  DisplayName: Meter
                '4':
                  Enum: M2
                  DisplayName: Square meters
                '5':
                  Enum: M3
                  DisplayName: Cubic meters
                '6':
                  Enum: PSC
                  DisplayName: Piece
                '7':
                  Enum: MJ
                  DisplayName: MJ
                '8':
                  Enum: KGKM
                  DisplayName: KGKM
                '9':
                  Enum: A
                  DisplayName: A
                '10':
                  Enum: Other
                  DisplayName: Other
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````